<?php
ob_start();
session_start();
if($_POST['coltype']==1 || $_POST['coltype']==0){
$coltype=$_POST['coltype'];
}else{
$coltype=1;
}
if($_POST['w']!="" && is_numeric($_POST['w'])){
$w=$_POST['w'];
}else{
$w=500;
}

$polldata="data/votes/data.dat";
$pollcfg="data/votes/pollcfg.dat";

function tdate($raz){
$day=date('j');
$month=date('m');
$year=date('Y');
$week=date('w');
$hour=date('H');
$min=date('i');
$sec=date('s');
if($month=="1"){$m="Января";}
elseif($month=="2"){$m="Февраля";}
elseif($month=="3"){$m="Марта";}
elseif($month=="4"){$m="Апреля";}
elseif($month=="5"){$m="Мая";}
elseif($month=="6"){$m="Июня";}
elseif($month=="7"){$m="Июля";}
elseif($month=="8"){$m="Августа";}
elseif($month=="9"){$m="Сентября";}
elseif($month=="10"){$m="Октября";}
elseif($month=="11"){$m="Ноября";}
elseif($month=="12"){$m="Декабря";}
if($week=="0"){$w="Воскресенье";}
elseif($week=="1"){$w="Понедельник";}
elseif($week=="2"){$w="Вторник";}
elseif($week=="3"){$w="Среда";}
elseif($week=="4"){$w="Четверг";}
elseif($week=="5"){$w="Пятница";}
elseif($week=="6"){$w="Суббота";}
$string=$w." ".$raz." ".$day." ".$m." ".$year." ".$raz." ".$hour.":".$min.":".$sec;
return $string;
}


if($_POST['name']!=""){
if($_POST['vote']!=""){
$name=$_POST['name'];
if(!isset($_COOKIE['epoll-'.$_POST["name"]])){
if(is_numeric($_POST['vote'])){
$dat=file($polldata);
$fh=fopen($polldata,"w");
for($i=0;$i<sizeof($dat);$i++){
$data=explode("|::|",$dat[$i]);
if($data[0]==$_POST['name']){
$str=$data[0]."|::|";
for($ii=1;$ii<sizeof($data)-2;$ii++){
if($ii==$_POST['vote']){
$data[$ii]=$data[$ii]+1;
}
$str=$str.$data[$ii]."|::|";
}
$str=$str.tdate($datechar)."|::|\n";
$dat[$i]=$str;
$anv=true;
}
fwrite($fh,$dat[$i],strlen($dat[$i]));
}
fclose($fh);
if($anv){
$error="Ваш голос принят";
if($_POST['days']<=0 || $_POST['days']=="" || !is_numeric($_POST['days'])){
$ctime=5;
}else{
$ctime=60*60*24*$_POST['days'];
}
$cook=@setcookie("epoll-".$name,tdate($datechar),time()+$ctime);
if(!$cook){
$error=$error."<br>Ошибка записи информации в cookies";
}
}else{
$error="Ваш голос не принят!";
}
}else{
$error="Ошибка при отправлении данных";
}
}else{
$error="Вы не можете проголосовать в этом опросе";
}
}
?>

<?
if(isset($error)){
?>
 
<table width="300" align=center cellpadding=2 cellspacing=1 border=0><tr><td>
<div align="center" style="color:red;"><?print$error;?></div>
</td></tr></table>
 
<?
}
?>
<table align=center width="100%" cellpadding=0 cellspacing=0 border=0  style="margin-top:5;margin-bottom:5;"><tr><td>
<table width="100%" align=center cellpadding=2 cellspacing=1 border=0><tr><td style="padding-left:30px;">
<h5 align="center" style="margin-bottom:5;">Результаты опроса</h5>
<div align="left" style="font-size:8pt;">
<?
$dat=file($pollcfg);
for($i=0;$i<sizeof($dat);$i++){
$data=explode("|::|",$dat[$i]);
if($data[0]==$_POST['name']){
$find=true;
$n=$i;
}
}
if($find){
$dat1=file($polldata);
$dat2=file($pollcfg);
$data1=explode("|::|",$dat1[$n]);
$num=0;
for($i=1;$i<sizeof($data1)-2;$i++){
$num=$num+1;
$a1[$i-1]=$data1[$i];
}
$all=0;
for($i=0;$i<$num;$i++){
$all=$all+$a1[$i];
}
$last=$data1[$num+1];
$data2=explode("|::|",$dat2[$n]);
for($i=2;$i<sizeof($data2)-1;$i++){
$a2[$i-2]=$data2[$i];
}
$question=$data2[1];
$question=stripslashes($question);
print "<div align=center><b>".$question."</b></div><br>";
if($all!=0){
for($i=0;$i<$num;$i++){
$apr[$i]=round(($a1[$i]/$all)*100)."%";
if(round(($a1[$i]/$all)*100)==0){
$apr[$i]=round(($a1[$i]/$all)*100,2)."%";
}
}
for($i=0;$i<$num;$i++){
$il=$i+1;
$tw=round($a1[$i]/$all,2)*($w-10);
print "<div align=left><b>".$il."</b>. ".$a2[$i]." - <b>".$apr[$i]."</b> ( ".$a1[$i]." )</div><table align=left  bgcolor=#c0c0c0 cellpadding=0 cellspacing=0 width=".$tw." height=\"15\"><tr><td><table width=".$tw." cellpadding=0 cellspacing=1 align=left height=\"15\"><tr><td></td></tr></table></td></tr></table><br><br>";
}
print "<br><div align=left><b>Всего голосов:</b> ".$all."</div>";
print "<div align=left><b>Последний голос отдан:</b> ".$last."</div><br>";
}else{
print "Ещё никто не проголосовал!";
print "<div align=left>Дата создания опроса: ".$last."</div><br>";
}

}else{
print "Опрос не найден!";
}
?>
</div>
</td></tr></table>
</td></tr></table>
<?
}else{
?>

<table align=center width="100%" cellpadding=0 cellspacing=0 border=0 style="margin-top:5;margin-bottom:5;"><tr><td>
<table width="100%" align=center cellpadding=2 cellspacing=1 border=0><tr><td>
<h3 align="center" style="margin-top:10;margin-bottom:10;">Опрос не найден</h3>
</td></tr></table>
</td></tr></table>
<?
}
$content = ob_get_contents();
ob_end_clean();
?>
